Subject: [rmcat] AD review of draft-ietf-rmcat-eval-criteria-10

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 8 Jan 2020 13:17:26 +0100

Hi authors,

I have reviewed draft-ietf-rmcat-eval-criteria-10 in order to move it ahead. I think it’s really for IETF last call and we can start it right now if you what. 
Of course based on my review I have a couple of comments anyway below. Please let me know if you want to address these comments (first) or if I can go ahead and start IETF last call?

Mirja

————————————
AD review comments:

One high level comment: 

The intro says:
"This document only provides broad-level criteria for evaluating a new
   congestion control algorithm. “
However, this doc doesn’t really provide that much criteria, it rather specifies evaluation metrics and testing parameter/models. Under criteria I would rather understand something like we have for every test case (“In this scenario, the flows should share the available capacity roughly equally.”). I’m not proposing to extend this doc this way as most criteria might be scenario specific but it could at least say that criteria are further described with the test cases and then the intro could be adapted to better reflect the actual content of the doc.

Other small technical comments:

- sec 4.2: Losses of 10% or 20% seems really high. Is that really needed? Where that values even used in any of the results presented?

- sec 4.4: Do you maybe have a reference for the Gilbert-Elliot model? And what’s exactly meant by "losses generated by modeling a queue including its (different) drop behaviors”? Do you have a reference for that as well? Maybe there are also some IPPM RFCs that could be referred here?

- I don’t quite understand this sentence in section 6.1:
“This covers the case where the short TCP flows are not fetching a video file.”
Wouldn’t it be better to say but case it does covers?
Also you say file sizes of 30-50 KB: Should they be equally distributed?

Editorial comments/nits:

- Sec 3 maybe: s/The following are calculated based on/The following metrics are calculated based on/

- It doesn’t seem that section 5 is needed at all, given draft-ietf-rmcat-wireless-tests is already mention in the intro.

- sec 6.2: "The currently chosen video streams are: Foreman and FourPeople.”
“currently” is a bit weird here, maybe: “The following video streams are recommended for testing.”…?

- sec 7: s/congestion control protocola/congestion control protocols/

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 8 Jan 2020 14:00:32 +0100

Hi again,

Actually one more question: There is appendix A which reads like there is still work to do. Maybe that is information that should be rephrased and added in the intro?

Further the terminology section (2) references to a bunch of RTP document normatively. However, I don’t think this terminology is actually used in this draft. Can you please double-check and adapt the references accordingly!?

And again about the spilt between normative and informational. I think this document does not need to have the test RFCs as normative references (but only the other way around: test RFCs reference this doc normatively). However, given section 6.2., RFC8593 should probably be a normative reference.

And as I’m looking at the references: I think section 3 could probably reference more closely some sections of RFC5166.

Mirja

> On 8. Jan 2020, at 13:17, Mirja Kuehlewind <[email-masked]> wrote:
> 
> Hi authors,
>